---

- name: Include version-specific variables for Ubuntu.
  ansible.builtin.include_vars: "{{ ansible_distribution }}-{{ ansible_distribution_version }}.yml"
  when: ansible_distribution == 'Ubuntu'
- name: Include version-specific variables for RedHat
  ansible.builtin.include_vars: "RedHat-{{ ansible_distribution_version.split('.')[0] }}.yml"
  when: ansible_os_family == "RedHat"

- import_tasks: local-etc-hosts-kitchen-lxd.yml

- import_tasks: travis.yml

- import_tasks: apache.yml

- import_tasks: slow.yml

- import_tasks: security-txt.yml

- import_tasks: syslog.yml
  when: harden_apache_use_syslog|bool

- import_tasks: testing.yml
  when: harden_apache_testing|bool
